Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1421188 - Traceback (Failed to obtain the transaction lock) on system update "Failed to process request."
Summary: Traceback (Failed to obtain the transaction lock) on system update "Failed to...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 15:06 UTC by Basic Six
Modified: 2017-12-12 10:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:25:41 UTC
Type: Bug


Attachments (Terms of Use)
dnf.log (1591: Traceback) (103.40 KB, text/plain)
2017-02-10 15:06 UTC, Basic Six
no flags Details
Screenshot: Package Updater (88.70 KB, image/png)
2017-02-10 15:07 UTC, Basic Six
no flags Details
Screenshot: package is already installed (76.89 KB, image/png)
2017-02-10 15:59 UTC, Basic Six
no flags Details

Description Basic Six 2017-02-10 15:06:05 UTC
Created attachment 1249056 [details]
dnf.log (1591: Traceback)

Description of problem:

A system update was performed using the software update gui (gpk-update-viewer). At some point into the process, the update tool showed an error message: "Failed to process request."

There's an error in /var/log/dnf.log, followed by a Traceback.
"CRITICAL Failed to obtain the transaction lock (logged in as: root)."



Version-Release number of selected component (if applicable):

Fedora 25

$ dnf --version
1.1.10
  Installed: dnf-0:1.1.10-5.fc25.noarch at 2017-01-25 13:25
  Built    : Fedora Project at 2017-01-17 16:20

  Installed: rpm-0:4.13.0-6.fc25.x86_64 at 2017-01-02 09:41
  Built    : Fedora Project at 2016-12-03 12:31



How reproducible:

?



Steps to Reproduce:
1. Update system using software update gui.
2. Generic error message. Unclear what happened.



Actual results:

An error message is shown. The message itself is rather meaningless to a regular user.



Expected results:

A system update should be one of those things that "just work". It should be rock-solid, tested and reliable. The update process itself should either perform the update or inform the user if an update is not possible (but with a meaningful message); it should never end with an exception, i.e., crash. Even if something unexpected happens, it should still handle the situation and show a useful message.



Additional info:

It's a standard desktop system, running a Gnome fork as DE. gpk-update-viewer was run as user. dnf was not run directly.

dnf.log attached to this bug report. See line 1591.

Comment 1 Basic Six 2017-02-10 15:07:15 UTC
Created attachment 1249057 [details]
Screenshot: Package Updater

Comment 2 Basic Six 2017-02-10 15:59:07 UTC
Created attachment 1249074 [details]
Screenshot: package is already installed

After closing the error dialog and clicking "Install Updates" again, it fails to refresh the list and tries to reinstall packages that are already installed.

Comment 3 Fedora End Of Life 2017-11-16 19:16:27 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:25:41 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.